Page MenuHomeFreeBSD

Some fixes to bsdinstall(8) documentation
ClosedPublic

Authored by arrowd on Dec 26 2019, 9:57 AM.

Details

Summary
  • Mention bootconfig target in TARGETS section.
  • Fix example for DISTRIBUTIONS variable. The .tgz suffixes are required.
  • Document PARTITIONS variable, which is only mentioned in the examples, but doesn't have its own point.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

arrowd created this revision.Dec 26 2019, 9:57 AM
bcr added a subscriber: bcr.Dec 26 2019, 11:07 AM

Found two issues. Maybe textproc/igor and "mandoc -Tlint" will find some more.

usr.sbin/bsdinstall/bsdinstall.8
122 ↗(On Diff #65996)

s/approprate/appropriate/

268 ↗(On Diff #65996)

You need to have a line break after a sentence stop.

arrowd updated this revision to Diff 66017.Dec 27 2019, 5:18 AM
arrowd marked 2 inline comments as done.
arrowd edited the summary of this revision. (Show Details)
  • Address comments.
  • Add gpart bootcode command invocation into UFS example.
  • mandoc -Tlint clean.
  • igor complains about date being not today (line 28) . Should I change it?
0mp added a subscriber: 0mp.Dec 27 2019, 7:23 AM
0mp added inline comments.
usr.sbin/bsdinstall/bsdinstall.8
268 ↗(On Diff #65996)

How about "The partitioning of the disk onto which...". This way it would match descriptions of other environment variables in this section.

265 ↗(On Diff #66017)

This has been committed in rS354967

bcr added a comment.Dec 27 2019, 1:40 PM
  • mandoc -Tlint clean.
  • igor complains about date being not today (line 28) . Should I change it?

Yes, but we usually change it once all issues are cleared up and then it becomes the date of the commit. For people who don't have a commit bit, it will be done by the person doing the commit.

arrowd updated this revision to Diff 66114.Dec 29 2019, 5:04 PM
arrowd marked 2 inline comments as done.

Address comments

0mp accepted this revision as: manpages, 0mp.Feb 6 2020, 4:37 PM

Apart from a couple of missing words, looks fine.

@bcr, could you approve it? I cannot approve doc changes on my own just yet.

bsdinstall.8
122 ↗(On Diff #66114)

... the appropriate partition ...

271 ↗(On Diff #66114)

of the

This revision is now accepted and ready to land.Feb 6 2020, 4:37 PM
bcr accepted this revision as: bcr.Feb 6 2020, 5:32 PM

Looks good. Don't forget to bump the .Dd and set an MFC timeout of your choice.

This revision was automatically updated to reflect the committed changes.